<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.mysql.newalgorithm.RStatLoadTypeYPOMapper">
  <resultMap id="BaseResultMap" type="com.njcn.prepare.harmonic.pojo.mysql.po.RStatLoadTypeYPO">
    <!--@mbg.generated-->
    <!--@Table r_stat_load_type_y-->
    <id column="org_no" jdbcType="VARCHAR" property="orgNo" />
    <id column="data_date" jdbcType="DATE" property="dataDate" />
    <id column="load_type" jdbcType="VARCHAR" property="loadType" />
    <result column="effective_measurement" jdbcType="INTEGER" property="effectiveMeasurement" />
    <result column="v_average" jdbcType="REAL" property="vAverage" />
    <result column="v_count" jdbcType="INTEGER" property="vCount" />
    <result column="i_average" jdbcType="REAL" property="iAverage" />
    <result column="i_count" jdbcType="INTEGER" property="iCount" />
    <result column="unbalance_average" jdbcType="REAL" property="unbalanceAverage" />
    <result column="unbalance_count" jdbcType="INTEGER" property="unbalanceCount" />
    <result column="i_neg_average" jdbcType="REAL" property="iNegAverage" />
    <result column="i_neg_count" jdbcType="INTEGER" property="iNegCount" />
    <result column="flicker_average" jdbcType="REAL" property="flickerAverage" />
    <result column="flicker_count" jdbcType="INTEGER" property="flickerCount" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    org_no, data_date, load_type, effective_measurement, v_average, v_count, i_average, 
    i_count, unbalance_average, unbalance_count, i_neg_average, i_neg_count, flicker_average, 
    flicker_count
  </sql>
</mapper>